> ## Documentation Index
> Fetch the complete documentation index at: https://support.i.moneyforward.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get survey by ID

> Retrieve a specific survey by its ID, including its questions.



## OpenAPI

````yaml https://api.itmc.i.moneyforward.com/public-api/docs/v1-json get /api/v1/organizations/{organizationId}/surveys/{surveyId}
openapi: 3.0.0
info:
  title: Admina Public API
  description: >-
    Admina API is a RESTfull API providing programmatic access to much of the
    data in the system. It provides predictable URLs for accessing resources,
    and uses built-in HTTP features to receive commands and return responses.
    This makes it easy to communicate with from a wide variety of environments,
    from command-line utilities to gadgets to the browser URL bar itself.
  version: '1.0'
  contact: {}
servers:
  - url: https://api.itmc.i.moneyforward.com
security: []
tags:
  - name: Organizations
    description: ''
  - name: Users
    description: ''
  - name: Directory
    description: ''
  - name: Departments
    description: ''
  - name: Locations
    description: ''
  - name: Companies
    description: ''
  - name: People
    description: ''
  - name: Workspaces
    description: ''
  - name: Custom Service and Workspace
    description: ''
  - name: Workspace Accounts
    description: ''
  - name: Accounts
    description: ''
  - name: Contracts
    description: ''
  - name: Devices
    description: ''
  - name: Devices (alpha)
    description: ''
  - name: Alerts
    description: ''
  - name: Spends
    description: ''
  - name: Usage Optimization
    description: ''
  - name: Services
    description: ''
  - name: Requests
    description: ''
  - name: AuditLogs
    description: ''
  - name: EventLogs
    description: ''
paths:
  /api/v1/organizations/{organizationId}/surveys/{surveyId}:
    get:
      tags:
        - Surveys
      summary: Get survey by ID
      description: Retrieve a specific survey by its ID, including its questions.
      operationId: publicGetSurvey
      parameters:
        - name: organizationId
          required: true
          in: path
          schema:
            type: number
        - name: surveyId
          required: true
          in: path
          schema:
            type: number
      responses:
        '200':
          description: Successfully retrieved survey
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PublicSurveyResponseDto'
        '401':
          description: Invalid or missing API key
        '404':
          description: Survey not found
        '418':
          description: >-
            The feature isn't available for the organization. Please contact the
            support team.
      security:
        - API-Key: []
components:
  schemas:
    PublicSurveyResponseDto:
      type: object
      properties:
        id:
          type: number
          readOnly: true
          example: 1
        surveyName:
          type: string
          readOnly: true
          example: Employee Device Survey
        description:
          type: string
          nullable: true
          readOnly: true
          example: Survey to understand device usage
        status:
          type: string
          readOnly: true
          enum:
            - draft
            - published
            - launched
            - completed
            - revoked
          example: draft
        category:
          type: string
          readOnly: true
          example: device_ownership
        targetType:
          type: string
          readOnly: true
          enum:
            - employees
            - devices
            - services
            - services_by_identities
            - devices_by_identities
          example: employees
        questions:
          readOnly: true
          example: []
          type: array
          items:
            $ref: '#/components/schemas/SurveyQuestionResponseDto'
        deliveryEnableEmail:
          type: boolean
          readOnly: true
          example: true
        deliveryEnableSlack:
          type: boolean
          readOnly: true
          example: false
        isScheduleLaunch:
          type: boolean
          readOnly: true
          example: false
        scheduledLaunchAt:
          format: date-time
          type: string
          nullable: true
          readOnly: true
          example: null
        deadlineAt:
          format: date-time
          type: string
          nullable: true
          readOnly: true
          example: null
        destinationType:
          type: string
          enum:
            - resource_holder
            - holder_manager
          nullable: false
          readOnly: true
          example: resource_holder
        createdAt:
          format: date-time
          type: string
          readOnly: true
          example: '2026-08-19T07:08:55.730Z'
        updatedAt:
          format: date-time
          type: string
          readOnly: true
          example: '2026-08-19T07:08:55.730Z'
        totalTargets:
          type: number
          readOnly: true
          example: 5
        totalResponses:
          type: number
          readOnly: true
          example: 3
      required:
        - id
        - surveyName
        - description
        - status
        - category
        - targetType
        - questions
        - deliveryEnableEmail
        - deliveryEnableSlack
        - isScheduleLaunch
        - scheduledLaunchAt
        - deadlineAt
        - destinationType
        - createdAt
        - updatedAt
    SurveyQuestionResponseDto:
      type: object
      properties:
        id:
          type: string
          readOnly: true
          example: q1
        sort:
          type: number
          readOnly: true
          example: 0
        name:
          type: string
          readOnly: true
          example: What type of device do you primarily use for work?
        type:
          type: string
          readOnly: true
          enum:
            - text
            - multiple_choice
            - checkbox
            - image
          example: checkbox
        options:
          readOnly: true
          example:
            - Laptop
            - Desktop
            - Mobile
            - Tablet
          type: array
          items:
            type: string
        required:
          type: boolean
          readOnly: true
          example: true
      required:
        - id
        - sort
        - name
        - type
  securitySchemes:
    API-Key:
      scheme: bearer
      bearerFormat: JWT
      type: http
      description: >-
        For authenticated requests, set the `Authorization: Bearer your_api_key`
        parameter in the header. <br/>You can create and manage your API Keys by
        visiting the **API Keys** tab in the **Settings** page of your
        organization in <a target='_blank'
        href='https://itmc.i.moneyforward.com/'>Admina</a>

````